"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getForeignAssetSolana = void 0;
const tokenBridge_1 = require("./tokenBridge");
/**
 * Returns a foreign asset address on Solana for a provided native chain and asset address
 * @param connection
 * @param tokenBridgeAddress
 * @param originChain
 * @param originAsset zero pad to 32 bytes
 * @param [commitment]
 * @returns
 */
async function getForeignAssetSolana(connection, tokenBridgeAddress, originChainId, originAsset, commitment) {
    const mint = (0, tokenBridge_1.deriveWrappedMintKey)(tokenBridgeAddress, originChainId, originAsset);
    return (0, tokenBridge_1.getWrappedMeta)(connection, tokenBridgeAddress, mint, commitment)
        .catch((_) => null)
        .then((meta) => (meta === null ? null : mint.toString()));
}
exports.getForeignAssetSolana = getForeignAssetSolana;
//# sourceMappingURL=getForeignAsset.js.map